org.apache.ignite.plugin

## Class PluginValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.plugin.PluginValidationException

All Implemented Interfaces:
  Serializable

    public class PluginValidationException
    extends IgniteException

TODO: Add class description.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PluginValidationException(String msg, String rmtMsg, UUID nodeId)` Constructs invalid plugin exception.

### Method Summary

Methods
`UUID` `nodeId()`
`String` `remoteMessage()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginValidationException

    public PluginValidationException(String msg,
                             String rmtMsg,
                             UUID nodeId)

Constructs invalid plugin exception.

Parameters:
  `msg` - Local error message.
  `rmtMsg` - Error message to send to the offending node.
  `nodeId` - ID of the offending node.

### Method Detail

#### nodeId

    public UUID nodeId()

Returns:
  Offending node ID.

#### remoteMessage

    public String remoteMessage()

Returns:
  Message to be sent to joining node.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015